Gecode::StdSearchTracer Class Reference

`#include <search.hh>`

## Public Member Functions

| StdSearchTracer (std::ostream &os=std::cerr)
| Initialize with output stream os.
virtual void | init (void)
| The search engine initializes.
virtual void | round (unsigned int eid)
| The engine with id eid goes to a next round (restart or next iteration in LDS).
virtual void | skip (const EdgeInfo &ei)
| The engine skips an edge.
virtual void | node (const EdgeInfo &ei, const NodeInfo &ni)
| The engine creates a new node with information ei and ni.
virtual void | done (void)
| All workers are done.
virtual | ~StdSearchTracer (void)
| Delete.
| SearchTracer (void)
| Initialize.
unsigned int | workers (void) const
| Return number of workers.
unsigned int | engines (void) const
| Return number of engines.
const EngineInfo & | engine (unsigned int eid) const
| Provide access to engine with id eid.
unsigned int | eid (unsigned int wid) const
| Return the engine id of a worker with id wid.
virtual | ~SearchTracer (void)
| Delete.

## Static Public Attributes

static StdSearchTracer | def
| Default tracer (printing to std::cerr).

## Protected Attributes

std::ostream & | os
| Output stream to use.

## Static Protected Attributes

static const char * | t2s [EngineType::AOE+1]
| Map engine type to string.

## Additional Inherited Members

Public Types inherited from Gecode::SearchTracer
enum | EngineType { DFS = 0 , BAB = 1 , LDS = 2 , RBS = 3 , PBS = 4 , AOE = 5 }
| Which type of engine. More...
enum | NodeType { SOLVED = 0 , FAILED = 1 , BRANCH = 2 }
| Node type. More...

## Detailed Description

Definition at line 371 of file search.hh.

## Constructor & Destructor Documentation

## StdSearchTracer()

Gecode::StdSearchTracer::StdSearchTracer | ( | std::ostream & | os = std::cerr | ) |

Initialize with output stream os.

Definition at line 45 of file tracer.cpp.

## ~StdSearchTracer()

Gecode::StdSearchTracer::~StdSearchTracer | ( | void |  | ) |

virtual

Delete.

Definition at line 117 of file tracer.cpp.

## Member Function Documentation

## init()

void Gecode::StdSearchTracer::init | ( | void |  | ) |

virtual

The search engine initializes.

Implements Gecode::SearchTracer.

Definition at line 49 of file tracer.cpp.

## round()

void Gecode::StdSearchTracer::round | ( | unsigned int | eid | ) |

virtual

The engine with id eid goes to a next round (restart or next iteration in LDS).

Implements Gecode::SearchTracer.

Definition at line 70 of file tracer.cpp.

## skip()

void Gecode::StdSearchTracer::skip | ( | const EdgeInfo & | ei | ) |

virtual

The engine skips an edge.

Implements Gecode::SearchTracer.

Definition at line 75 of file tracer.cpp.

## node()

void Gecode::StdSearchTracer::node | ( | const EdgeInfo & | ei,
|  | const NodeInfo & | ni )

virtual

The engine creates a new node with information ei and ni.

Implements Gecode::SearchTracer.

Definition at line 82 of file tracer.cpp.

## done()

void Gecode::StdSearchTracer::done | ( | void |  | ) |

virtual

All workers are done.

Implements Gecode::SearchTracer.

Definition at line 113 of file tracer.cpp.

## Member Data Documentation

## os

std::ostream& Gecode::StdSearchTracer::os

protected

Output stream to use.

Definition at line 374 of file search.hh.

## t2s

const char * Gecode::StdSearchTracer::t2s

static protected

Initial value:
= {
"DFS", "BAB", "LDS",
"RBS", "PBS",
"AOE"
}

Map engine type to string.

Definition at line 376 of file search.hh.

## def

StdSearchTracer Gecode::StdSearchTracer::def

static

Default tracer (printing to std::cerr).

Definition at line 393 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/tracer.cpp